dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed block formation

LManager:AddTable(eTYPE_TABLE4, 150, 325);
LManager:AddTable(eTYPE_TABLE5, 330, 325);
LManager:AddTable(eTYPE_TABLE6, 510, 325);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE8, 280, 490);
LManager:AddTable(eTYPE_TABLE9, 460, 490);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 79000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 146000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 176000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 212000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 71000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 139000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 153000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 227000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 68000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 97000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 138000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 240000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 16000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 55000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 98000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 123000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 210000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 25000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 50000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 110000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 163000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 187000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 253000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 269000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 48000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 104000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 169000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 191000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(3,1);
LManager:SetLevelScores(7500, 8645);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();